using PkmnLib.Dynamic.Models;

namespace PkmnLib.Dynamic.Events;

/// <summary>
/// Triggered when a move misses.
/// </summary>
public class MoveMissEvent : IEventData
{
    /// <inheritdoc cref="MoveMissEvent"/>
    public MoveMissEvent(IExecutingMove executingMove)
    {
        ExecutingMove = executingMove;
    }

    /// <summary>
    /// Data about the move that missed.
    /// </summary>
    public IExecutingMove ExecutingMove { get; }
    
    /// <inheritdoc />
    public EventBatchId BatchId { get; init; }
}